Creates a new unavailability
Request Information
URI Parameters :
None.
Body Parameters :
user_unavailability| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| date_start |
Date+Time of the beginning |
date |
Required |
| date_end |
Date+Time of the end |
date |
Required |
| modified_dateutc |
Date+Time of the modified |
date |
Required |
| description |
Description of the unavailability |
string |
Max length: 255 |
| is_approved |
Indicate if this object has been approved using a User Week Approval |
boolean | |
| user_id |
User owner of this unavailability |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_unavailability |
user |
Optionally required : user_id, user_code or user must be provided |
| user_unavailability_type_id |
Type of the unavailability, cf model user_unavailability_type |
globally unique identifier |
Required Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type_code |
Embedded entity "user_unavailability_type" using ERP PK when adding/updating user_unavailability |
string |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
| user_unavailability_type |
Embedded entity "user_unavailability_type" using node when adding/updating user_unavailability |
user_unavailability_type |
Optionally required : user_unavailability_type_id, user_unavailability_type_code or user_unavailability_type must be provided |
Request Formats :
application/json, text/json
{
"id": "492ba782-ccd0-49f3-b17f-5eb4f3a8c3b8",
"date_start": "2026-10-25T15:30:21.3561843+00:00",
"date_end": "2026-10-25T15:30:21.3561843+00:00",
"modified_dateutc": "2026-10-25T15:30:21.3561843+00:00",
"description": "sample string 5",
"is_approved": true,
"user_id": "de022e12-56a9-4a28-bd9c-db823afb5bbe",
"user_code": "sample string 8",
"user": {
"id": "0b074193-78e2-4dad-9ce7-3bd761cf9a57",
"db_language_id": "c31895d7-08ba-4051-a7a1-2887561ffaec",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-10-25T15:30:21.3561843+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "57c05884-f48e-4084-a81e-4f986cd318c0",
"sales_organization": {
"id": "8cc00147-5f1b-4e34-a23b-72618e58db1c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5a661baf-9369-4c57-9d5c-62ffddc3e354",
"db_currency_id": "0b05d11b-6bc5-49e4-ae66-84faf0ef0ae8",
"db_language_id": "15c971d3-4965-4258-a1be-5ca9166e48df",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:30:21.3561843+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "c637d70f-fbcc-444c-9a71-0733939610db",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "6511c621-f921-4143-abea-0f84c311c312",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-10-25T15:30:21.3561843+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "5d622fb5-d802-400b-bfca-b58b07f96ae9"
},
"user_unavailability_type_id": "a7852a6e-5a92-45b1-923d-06f310839400",
"user_unavailability_type_code": "sample string 10",
"user_unavailability_type": {
"id": "4df4b510-b815-49c3-b4d6-63141b080a6b",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"sales_organization_id": "a829474d-2edf-4c77-8b1e-76cadc632c5a",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "8cc00147-5f1b-4e34-a23b-72618e58db1c",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "5a661baf-9369-4c57-9d5c-62ffddc3e354",
"db_currency_id": "0b05d11b-6bc5-49e4-ae66-84faf0ef0ae8",
"db_language_id": "15c971d3-4965-4258-a1be-5ca9166e48df",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-25T15:30:21.3561843+00:00"
},
"modified_dateutc": "2026-10-25T15:30:21.3561843+00:00"
}
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.